diff -urN qpopper4.0.5/popper/pop_init.c qpopper4.0.5-jm/popper/pop_init.c
--- qpopper4.0.5/popper/pop_init.c	Wed Mar 12 21:06:37 2003
+++ qpopper4.0.5-jm/popper/pop_init.c	Fri Jan 23 15:19:09 2004
@@ -1058,13 +1058,21 @@
      * Get the address and socket of the client to whom I am speaking 
      */
     len = sizeof(cs);
+    
     if ( getpeername ( sp, (struct sockaddr *) &cs, &len ) < 0 ) {
+#ifdef STANDALONE
         pop_log ( p, POP_PRIORITY, HERE,
                   "Unable to obtain socket and address of client: %s (%d)",
                   STRERROR(errno), errno );
         EXIT ( 1 );
     }
-
+#else
+       p->client = strdup ( "localhost" );
+       p->ipaddr = strdup ( "127.0.0.1" );
+       p->ipport = 0;
+       goto nopeer_punt;    
+    }
+#endif /* STANDALONE */
     /*
      * Save the dotted decimal form of the client's IP address 
      * in the POP parameter block 
@@ -1166,6 +1174,9 @@
     } /* no_rev_lookup */
 
 #endif /* _DEBUG */
+#ifndef STANDALONE
+nopeer_punt:
+#endif /* STANDALONE */
 
     /* Create input file stream for TCP/IP communication */
     /* Just use standard input */
